## evdi 1.5.1+dfsg

=== module/Makefile ===
#
# Copyright (c) 2015 - 2017 DisplayLink (UK) Ltd.
#
# This file is subject to the terms and conditions of the GNU General Public
# License v2. See the file COPYING in the main directory of this archive for
# more details.
#
ifneq ($(DKMS_BUILD),)

# DKMS

KERN_DIR := /lib/modules/$(KERNELRELEASE)/build

ccflags-y := -Iinclude/drm
evdi-y := evdi_drv.o evdi_modeset.o evdi_connector.o evdi_encoder.o evdi_main.o evdi_fb.o evdi_gem.o evdi_stats.o evdi_painter.o evdi_params.o evdi_cursor.o
evdi-$(CONFIG_COMPAT) += evdi_ioc32.o
obj-m := evdi.o

KBUILD_VERBOSE ?= 1

all:
	$(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) SUBDIRS=$(CURDIR) SRCROOT=$(CURDIR) CONFIG_MODULE_SIG= -C $(KERN_DIR) modules

clean:
	@echo $(KERN_DIR)
	$(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) SUBDIRS=$(CURDIR) SRCROOT=$(CURDIR) -C $(KERN_DIR) clean

else

# Not DKMS

ifneq ($(KERNELRELEASE),)

# inside kbuild
# Note: this can be removed once it is in kernel tree and Kconfig is properly used
CONFIG_DRM_EVDI := m
LINUXINCLUDE := $(subst -I,-isystem,$(LINUXINCLUDE))
ccflags-y := -isystem include/drm $(CFLAGS)
evdi-y := evdi_drv.o evdi_modeset.o evdi_connector.o evdi_encoder.o evdi_main.o evdi_fb.o evdi_gem.o evdi_stats.o evdi_painter.o evdi_params.o evdi_cursor.o
evdi-$(CONFIG_COMPAT) += evdi_ioc32.o
obj-$(CONFIG_DRM_EVDI) := evdi.o

else

# kbuild against specified or current kernel
ifeq ($(KVER),)
	KVER := $(shell uname -r)
endif

ifeq ($(KDIR),)
	KDIR := /lib/modules/$(KVER)/build
endif

default: module

module:
	$(MAKE) -C $(KDIR) M=$$PWD

clean:
	rm -rf *.o *.ko .tmp* .*.*.cmd Module.symvers evdi.mod.c modules.order


endif # ifneq ($(KERNELRELEASE),)

endif # ifneq ($(DKMS_BUILD),)

=== debian/changelog ===
evdi (1.5.1+dfsg-1ubuntu1) disco; urgency=medium

  * Backport upstream fixes for dkms build with 4.20 and 5.0 (LP: #1818830)

 -- Seth Forshee <seth.forshee@canonical.com>  Wed, 06 Mar 2019 10:06:23 -0600

evdi (1.5.1+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #918992)
  * removed files with unclear license for DFSG conformance

 -- Hanno Stock <opensource@hanno-stock.de>  Thu, 24 Jan 2019 15:00:59 +0100

## evdi 1.6.0+dfsg

=== library/Makefile ===
#
# Copyright (c) 2015 - 2016 DisplayLink (UK) Ltd.
#

DEPS = evdi_ioctl.h
CFLAGS := -I../module -std=gnu99 -fPIC $(CFLAGS)

default: libevdi.so

clean:
	rm -rf *.o libevdi.so

%.o: %.c $(DEPS)
	$(CC) -c -o $@ $< $(CFLAGS)

libevdi.so: evdi_lib.o
	$(CC) $^ -o $@ -lc -lgcc -shared -Wl,-soname,libevdi.so.0

=== module/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (c) 2015 - 2017 DisplayLink (UK) Ltd.
+# Copyright (c) 2015 - 2019 DisplayLink (UK) Ltd.
 #
 # This file is subject to the terms and conditions of the GNU General Public
 # License v2. See the file COPYING in the main directory of this archive for
@@ -12,7 +12,7 @@
 KERN_DIR := /lib/modules/$(KERNELRELEASE)/build
 
 ccflags-y := -Iinclude/drm
-evdi-y := evdi_drv.o evdi_modeset.o evdi_connector.o evdi_encoder.o evdi_main.o evdi_fb.o evdi_gem.o evdi_stats.o evdi_painter.o evdi_params.o evdi_cursor.o
+evdi-y := evdi_drv.o evdi_modeset.o evdi_connector.o evdi_encoder.o evdi_main.o evdi_fb.o evdi_gem.o evdi_painter.o evdi_params.o evdi_cursor.o evdi_debug.o
 evdi-$(CONFIG_COMPAT) += evdi_ioc32.o
 obj-m := evdi.o
 
@@ -36,7 +36,7 @@
 CONFIG_DRM_EVDI := m
 LINUXINCLUDE := $(subst -I,-isystem,$(LINUXINCLUDE))
 ccflags-y := -isystem include/drm $(CFLAGS)
-evdi-y := evdi_drv.o evdi_modeset.o evdi_connector.o evdi_encoder.o evdi_main.o evdi_fb.o evdi_gem.o evdi_stats.o evdi_painter.o evdi_params.o evdi_cursor.o
+evdi-y := evdi_drv.o evdi_modeset.o evdi_connector.o evdi_encoder.o evdi_main.o evdi_fb.o evdi_gem.o evdi_painter.o evdi_params.o evdi_cursor.o evdi_debug.o
 evdi-$(CONFIG_COMPAT) += evdi_ioc32.o
 obj-$(CONFIG_DRM_EVDI) := evdi.o

=== debian/changelog ===
evdi (1.6.0+dfsg-1ubuntu3) focal; urgency=medium

  * Linux 5.4 compatibility (LP: #1848586)
    - debian/patches/0007-Fix-FTBFS-5.4.patch

 -- Paolo Pisati <paolo.pisati@canonical.com>  Tue, 12 Nov 2019 10:08:47 +0000

evdi (1.6.0+dfsg-1ubuntu2) eoan; urgency=medium

  * Apply 3 upstream fixes to bugs found with static analysis (LP: #1833590)
   - 4a18c38b70e7 ("Fix potiential null pointer dereference when 
     initializing pointer fb)
   - 7e840df07930 ("Free evdi->cursor before freeing evdi")
   - 41afcc551def ("Don't dereference pointer state if it is null")

 -- Colin Ian King <colin.king@canonical.com>  Thu, 20 Jun 2019 18:04:22 +0100

evdi (1.6.0+dfsg-1ubuntu1) eoan; urgency=medium

  * Add v5.1 and v5.2 kernel compat fixes (LP: #1830043)
   - Adjust for post 5.0 kernels (upstream commit 979f7bc2089138aed)
   - Linux 5.2: use drm_fb_helper_fill_info, replaces the now
     deprecated drm_fb_helper_fill_{var|info}

 -- Colin Ian King <colin.king@canonical.com>  Wed, 5 Jun 2019 09:31:31 +0100

evdi (1.6.0+dfsg-1) unstable; urgency=medium

  * New upstream release (1.6.0)

 -- Hanno Stock <opensource@hanno-stock.de>  Mon, 25 Feb 2019 10:53:00 +0100

=== debian/control ===
Source: evdi
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Hanno Stock <opensource@hanno-stock.de>
Build-Depends: debhelper (>= 11), dkms, dh-exec, libdrm-dev
Standards-Version: 4.3.0
Homepage: https://github.com/DisplayLink/evdi
Vcs-Browser: https://salsa.debian.org/hansto-guest/evdi
Vcs-Git: https://salsa.debian.org/hansto-guest/evdi.git

Package: evdi-dkms
Architecture: all
Section: kernel
Depends: ${misc:Depends}
Recommends: libevdi0
Description: Extensible Virtual Display Interface driver kernel module
 The Extensible Virtual Display Interface (EVDI) is a Linux kernel
 module that enables management of multiple screens, allowing user-space
 programs to take control over what happens with the image. It is
 essentially a virtual display you can add, remove and receive
 screen updates for, in an application that uses the libevdi library.
 .
 The module and library is part of the DisplayLink Ubuntu development
 which enables support for DisplayLink USB 3.0 devices on Ubuntu.
 .
 Please note that this is NOT a complete driver for DisplayLink devices.
 .
 This package installs the kernel module needed for creating the virtual
 displays.

Package: libevdi0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: evdi-dkms
Description: Extensible Virtual Display Interface driver client library
 The Extensible Virtual Display Interface (EVDI) is a Linux kernel
 module that enables management of multiple screens, allowing user-space
 programs to take control over what happens with the image. It is
 essentially a virtual display you can add, remove and receive
 screen updates for, in an application that uses the libevdi library.
 .
 The module and library is part of the DisplayLink Ubuntu development
 which enables support for DisplayLink USB 3.0 devices on Ubuntu.
 .
 Please note that this is NOT a complete driver for DisplayLink devices.
 .
 This package installs the client library used for interfacing with
 the evdi kernel module.

Package: libevdi0-dev
Section: libdevel
Architecture: all
Depends: libevdi0 (>= ${source:Version}), libevdi0 (<< ${source:Version}.1~),
 ${misc:Depends}
Recommends: evdi-dkms
Description: EVDI driver client library dev package
 The Extensible Virtual Display Interface (EVDI) is a Linux kernel
 module that enables management of multiple screens, allowing user-space
 programs to take control over what happens with the image. It is
 essentially a virtual display you can add, remove and receive
 screen updates for, in an application that uses the libevdi library.
 .
 The module and library is part of the DisplayLink Ubuntu development
 which enables support for DisplayLink USB 3.0 devices on Ubuntu.
 .
 Please note that this is NOT a complete driver for DisplayLink devices.
 .
 This is the development package for evdi clients. It is only needed
 for compiling evdi client software. End-users do not need this package.

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg\d*$//,\
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/evdi-$1\.tar\.gz/ \
https://github.com/DisplayLink/evdi/tags .*/v?(\d\S+)\.tar\.gz

## evdi 1.6.4+dfsg

=== library/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (c) 2015 - 2016 DisplayLink (UK) Ltd.
+# Copyright (c) 2015 - 2019 DisplayLink (UK) Ltd.
 #
 
 DEPS = evdi_ioctl.h

=== debian/changelog ===
evdi (1.6.4+dfsg-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #928874)

  [ Hanno Stock ]
  * New upstream release v1.6.4 (Closes: #935729)
  * Fix spelling error in copyright
  * d-control: move debhelper compat level to control
  * Use autopkgtest's dkms support
  * Add salsa CI
  * Fix gbp.conf for export-orig
  * Require isolation-machine for dkms autopkgtests
  * Some workarounds for dkms tests
  * d-watch: add repacksuffix
  * Bump debhelper compat level to 12
  * testsuite: fixup lintian-overrides and d-control
  * d-copyright: add .github/* to excluded files
  * remove cleanup_script.sh from source distribution

 -- Hanno Stock <opensource@hanno-stock.de>  Wed, 27 Nov 2019 20:10:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: evdi
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Hanno Stock <opensource@hanno-stock.de>
-Build-Depends: debhelper (>= 11), dkms, dh-exec, libdrm-dev
-Standards-Version: 4.3.0
+Maintainer: Hanno Stock <opensource@hanno-stock.de>
+Build-Depends: debhelper-compat (= 12), dkms, dh-exec, libdrm-dev
+Standards-Version: 4.4.1
 Homepage: https://github.com/DisplayLink/evdi
 Vcs-Browser: https://salsa.debian.org/hansto-guest/evdi
 Vcs-Git: https://salsa.debian.org/hansto-guest/evdi.git

## evdi 1.7.0+dfsg

=== library/Makefile ===
#
# Copyright (c) 2015 - 2020 DisplayLink (UK) Ltd.
#

INSTALL ?= install
CP ?= cp
LN ?= ln
RM ?= rm

DEPS = evdi_ioctl.h
CFLAGS := -I../module -std=gnu99 -fPIC $(CFLAGS)

LIBVER := 1.7.0
LIBABI := 0

PREFIX ?= /usr/local
LIBDIR ?= $(PREFIX)/lib

default: libevdi.so.$(LIBVER)

clean:
	rm -rf *.o libevdi.so.$(LIBVER) libevdi.so

%.o: %.c $(DEPS)
	$(CC) $(CFLAGS) -o $@ -c $<

libevdi.so.$(LIBVER): evdi_lib.o
	$(CC) $^ -shared -Wl,-soname,libevdi.so.$(LIBABI) -o $@ -lc -lgcc $(LDFLAGS)
	$(CP) libevdi.so.$(LIBVER) libevdi.so

install:
	$(INSTALL) -d $(DESTDIR)$(LIBDIR)
	$(INSTALL) -m 755 libevdi.so.$(LIBVER) $(DESTDIR)$(LIBDIR)/libevdi.so.$(LIBVER)
	$(LN) -sf libevdi.so.$(LIBVER) $(DESTDIR)$(LIBDIR)/libevdi.so.$(LIBABI)
	$(LN) -sf libevdi.so.$(LIBABI) $(DESTDIR)$(LIBDIR)/libevdi.so

uninstall:
	$(RM) -f $(DESTDIR)$(LIBDIR)/libevdi.so.$(LIBVER)
	$(RM) -f $(DESTDIR)$(LIBDIR)/libevdi.so.$(LIBABI)
	$(RM) -f $(DESTDIR)$(LIBDIR)/libevdi.so

=== module/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (c) 2015 - 2019 DisplayLink (UK) Ltd.
+# Copyright (c) 2015 - 2020 DisplayLink (UK) Ltd.
 #
 # This file is subject to the terms and conditions of the GNU General Public
 # License v2. See the file COPYING in the main directory of this archive for
@@ -19,11 +19,11 @@
 KBUILD_VERBOSE ?= 1
 
 all:
-	$(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) SUBDIRS=$(CURDIR) SRCROOT=$(CURDIR) CONFIG_MODULE_SIG= -C $(KERN_DIR) modules
+	$(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) M=$(CURDIR) SUBDIRS=$(CURDIR) SRCROOT=$(CURDIR) CONFIG_MODULE_SIG= -C $(KERN_DIR) modules
 
 clean:
 	@echo $(KERN_DIR)
-	$(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) SUBDIRS=$(CURDIR) SRCROOT=$(CURDIR) -C $(KERN_DIR) clean
+	$(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) M=$(CURDIR) SUBDIRS=$(CURDIR) SRCROOT=$(CURDIR) -C $(KERN_DIR) clean
 
 else
 
@@ -43,13 +43,27 @@
 else
 
 # kbuild against specified or current kernel
+CP ?= cp
+DKMS ?= dkms
+RM ?= rm
+
+MODVER=1.7.0
+
 ifeq ($(KVER),)
 	KVER := $(shell uname -r)
+endif
+
+ifneq ($(RUN_DEPMOD),)
+	DEPMOD := /sbin/depmod -a
+else
+	DEPMOD := true
 endif
 
 ifeq ($(KDIR),)
 	KDIR := /lib/modules/$(KVER)/build
 endif
+
+MOD_KERNEL_PATH := /kernel/drivers/gpu/drm/evdi
 
 default: module
 
@@ -57,8 +71,22 @@
 	$(MAKE) -C $(KDIR) M=$$PWD
 
 clean:
-	rm -rf *.o *.ko .tmp* .*.*.cmd Module.symvers evdi.mod.c modules.order
+	$(RM) -rf *.o *.a *.ko .tmp* .*.*.cmd Module.symvers evdi.mod.c modules.order
 
+install:
+	$(MAKE) -C $(KDIR) M=$$PWD INSTALL_MOD_PATH=$(DESTDIR) INSTALL_MOD_DIR=$(MOD_KERNEL_PATH) modules_install
+	$(DEPMOD)
+
+uninstall:
+	$(RM) -rf $(DESTDIR)/lib/modules/$(KVER)/$(MOD_KERNEL_PATH)
+	$(DEPMOD)
+
+install_dkms:
+	$(DKMS) install .
+
+uninstall_dkms:
+	$(DKMS) remove evdi/$(MODVER) --all
+	$(RM) -rf /usr/src/evdi-$(MODVER)
 
 endif # ifneq ($(KERNELRELEASE),)

=== debian/changelog ===
evdi (1.7.0+dfsg-1ubuntu1) groovy; urgency=medium

  * Fix build on ppc64le with linux later than 5.5 (LP: #1884640)

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Tue, 11 Aug 2020 15:57:09 -0300

evdi (1.7.0+dfsg-1) experimental; urgency=medium

  * new upstream release 1.7.0
    - fixes incompatibility with newer kernels
      (closes: #960391, #954396, #948983)
  * drop patch 0001-Make-library-Makefile-respect-LDFLAGS.patch
  * bump debhelper compatibility level to 13
  * update symbols for libevdi0
  * bump standards version to 4.5.0
  * d/control: set rules-requires-root to no

 -- Hanno Stock <opensource@hanno-stock.de>  Wed, 13 May 2020 17:12:15 +0200

## evdi 1.9.0+dfsg

=== library/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 DEPS = evdi_ioctl.h
 CFLAGS := -I../module -std=gnu99 -fPIC $(CFLAGS)
 
-LIBVER := 1.7.0
+LIBVER := 1.9.0
 LIBABI := 0
 
 PREFIX ?= /usr/local

=== module/Makefile ===
--- 
+++ 
@@ -5,14 +5,20 @@
 # License v2. See the file COPYING in the main directory of this archive for
 # more details.
 #
+
+EL8 := $(shell cat /etc/redhat-release 2>/dev/null | grep -c " 8." )
+ifneq (,$(findstring 1, $(EL8)))
+EL8FLAG := -DEL8
+endif
+
 ifneq ($(DKMS_BUILD),)
 
 # DKMS
 
 KERN_DIR := /lib/modules/$(KERNELRELEASE)/build
 
-ccflags-y := -Iinclude/drm
-evdi-y := evdi_drv.o evdi_modeset.o evdi_connector.o evdi_encoder.o evdi_main.o evdi_fb.o evdi_gem.o evdi_painter.o evdi_params.o evdi_cursor.o evdi_debug.o
+ccflags-y := -Iinclude/drm $(EL8FLAG)
+evdi-y := evdi_platform_drv.o evdi_platform_dev.o evdi_sysfs.o evdi_modeset.o evdi_connector.o evdi_encoder.o evdi_drm_drv.o evdi_fb.o evdi_gem.o evdi_painter.o evdi_params.o evdi_cursor.o evdi_debug.o evdi_i2c.o
 evdi-$(CONFIG_COMPAT) += evdi_ioc32.o
 obj-m := evdi.o
 
@@ -35,8 +41,8 @@
 # Note: this can be removed once it is in kernel tree and Kconfig is properly used
 CONFIG_DRM_EVDI := m
 LINUXINCLUDE := $(subst -I,-isystem,$(LINUXINCLUDE))
-ccflags-y := -isystem include/drm $(CFLAGS)
-evdi-y := evdi_drv.o evdi_modeset.o evdi_connector.o evdi_encoder.o evdi_main.o evdi_fb.o evdi_gem.o evdi_painter.o evdi_params.o evdi_cursor.o evdi_debug.o
+ccflags-y := -isystem include/drm $(CFLAGS) $(EL8FLAG)
+evdi-y := evdi_platform_drv.o evdi_platform_dev.o evdi_sysfs.o evdi_modeset.o evdi_connector.o evdi_encoder.o evdi_drm_drv.o evdi_fb.o evdi_gem.o evdi_painter.o evdi_params.o evdi_cursor.o evdi_debug.o evdi_i2c.o
 evdi-$(CONFIG_COMPAT) += evdi_ioc32.o
 obj-$(CONFIG_DRM_EVDI) := evdi.o
 
@@ -47,7 +53,7 @@
 DKMS ?= dkms
 RM ?= rm
 
-MODVER=1.7.0
+MODVER=1.9.0
 
 ifeq ($(KVER),)
 	KVER := $(shell uname -r)

=== debian/changelog ===
evdi (1.9.0+dfsg-1) unstable; urgency=medium

  * new upstream release 1.9.0
    - fixes incompatibility with newer kernels
      (closes: #973837, #975456)
  * Updated d/libevdi0.symbols

 -- Hanno Stock <opensource@hanno-stock.de>  Tue, 26 Jan 2021 16:32:36 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: misc
 Priority: optional
 Maintainer: Hanno Stock <opensource@hanno-stock.de>
-Build-Depends: debhelper-compat (= 12), dkms, dh-exec, libdrm-dev
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13), dkms, dh-exec, libdrm-dev
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/DisplayLink/evdi
 Vcs-Browser: https://salsa.debian.org/hansto-guest/evdi
 Vcs-Git: https://salsa.debian.org/hansto-guest/evdi.git

## evdi 1.9.1

=== library/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 DEPS = evdi_ioctl.h
 CFLAGS := -I../module -std=gnu99 -fPIC $(CFLAGS)
 
-LIBVER := 1.9.0
+LIBVER := 1.9.1
 LIBABI := 0
 
 PREFIX ?= /usr/local

=== module/Makefile ===
--- 
+++ 
@@ -53,7 +53,7 @@
 DKMS ?= dkms
 RM ?= rm
 
-MODVER=1.9.0
+MODVER=1.9.1
 
 ifeq ($(KVER),)
 	KVER := $(shell uname -r)

=== debian/changelog ===
evdi (1.9.1-1ubuntu5) jammy; urgency=medium

  * Fix build with Linux 5.15 and 5.14.

 -- Paolo Pisati <paolo.pisati@canonical.com>  Fri, 24 Sep 2021 14:38:51 +0000

evdi (1.9.1-1ubuntu4) impish; urgency=medium

  * Support USB-less systems (e.g. s390x). (LP: #1932163)

 -- Andrea Righi <andrea.righi@canonical.com>  Tue, 20 Jul 2021 14:32:12 +0000

evdi (1.9.1-1ubuntu3) impish; urgency=medium

  * Fix regression with Linux 5.11

 -- Paolo Pisati <paolo.pisati@canonical.com>  Wed, 16 Jun 2021 08:33:25 +0000

evdi (1.9.1-1ubuntu2) impish; urgency=medium

  * Fix build with Linux 5.13

 -- Paolo Pisati <paolo.pisati@canonical.com>  Tue, 01 Jun 2021 10:48:39 +0000

evdi (1.9.1-1ubuntu1) hirsute; urgency=medium

  * New upstream release 1.9.1
  * Fix build with Linux 5.11 (LP: #1923638)
    - debian/patches/0001-Merge-branch-private-dczerwik-enable-cursor-ioctl-in.patch
    - debian/patches/0002-Add-support-for-5.11-and-5.12-kernels.patch

 -- Paolo Pisati <paolo.pisati@canonical.com>  Thu, 01 Apr 2021 14:24:23 +0000

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_VERSION_UPSTREAM
export LIBRARY_VERSION=$(shell echo -n "${DEB_VERSION_UPSTREAM}" | sed s/[^.[:digit:]]//g )
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@ --with dkms

override_dh_auto_install:
	dh_install -p evdi-dkms -XLICENSE module/* usr/src/evdi-$(DEB_VERSION_UPSTREAM)/

override_dh_dkms:
	dh_dkms -p evdi-dkms -V $(DEB_VERSION_UPSTREAM)

override_dh_auto_build:
	CFLAGS="-I../module $(CFLAGS)" dh_auto_build --sourcedirectory=library -- $(MFLAGS)

override_dh_auto_clean:
	$(MAKE) clean -C library $(MFLAGS)

=== debian/tests/control ===
Tests: dkms-build
Restrictions: needs-root, allow-stderr, isolation-machine
Depends: @, dkms

## evdi 1.12.0+dfsg

=== library/Makefile ===
--- 
+++ 
@@ -8,9 +8,9 @@
 RM ?= rm
 
 DEPS = evdi_ioctl.h
-CFLAGS := -I../module -std=gnu99 -fPIC $(CFLAGS)
+CFLAGS := -I../module -std=gnu99 -fPIC -D_FILE_OFFSET_BITS=64 $(CFLAGS)
 
-LIBVER := 1.9.1
+LIBVER := 1.12.0
 LIBABI := 0
 
 PREFIX ?= /usr/local

=== module/Makefile ===
--- 
+++ 
@@ -11,13 +11,18 @@
 EL8FLAG := -DEL8
 endif
 
+Raspbian := $(shell grep -Eic 'raspb(erry|ian)' /proc/cpuinfo /etc/os-release 2>/dev/null )
+ifeq (,$(findstring 0, $(Raspbian)))
+RPIFLAG := -DRPI
+endif
+
 ifneq ($(DKMS_BUILD),)
 
 # DKMS
 
 KERN_DIR := /lib/modules/$(KERNELRELEASE)/build
 
-ccflags-y := -Iinclude/drm $(EL8FLAG)
+ccflags-y := -Iinclude/drm $(EL8FLAG) $(RPIFLAG)
 evdi-y := evdi_platform_drv.o evdi_platform_dev.o evdi_sysfs.o evdi_modeset.o evdi_connector.o evdi_encoder.o evdi_drm_drv.o evdi_fb.o evdi_gem.o evdi_painter.o evdi_params.o evdi_cursor.o evdi_debug.o evdi_i2c.o
 evdi-$(CONFIG_COMPAT) += evdi_ioc32.o
 obj-m := evdi.o
@@ -40,8 +45,7 @@
 # inside kbuild
 # Note: this can be removed once it is in kernel tree and Kconfig is properly used
 CONFIG_DRM_EVDI := m
-LINUXINCLUDE := $(subst -I,-isystem,$(LINUXINCLUDE))
-ccflags-y := -isystem include/drm $(CFLAGS) $(EL8FLAG)
+ccflags-y := -isystem include/drm $(CFLAGS) $(EL8FLAG) $(RPIFLAG)
 evdi-y := evdi_platform_drv.o evdi_platform_dev.o evdi_sysfs.o evdi_modeset.o evdi_connector.o evdi_encoder.o evdi_drm_drv.o evdi_fb.o evdi_gem.o evdi_painter.o evdi_params.o evdi_cursor.o evdi_debug.o evdi_i2c.o
 evdi-$(CONFIG_COMPAT) += evdi_ioc32.o
 obj-$(CONFIG_DRM_EVDI) := evdi.o
@@ -53,7 +57,7 @@
 DKMS ?= dkms
 RM ?= rm
 
-MODVER=1.9.1
+MODVER=1.12.0
 
 ifeq ($(KVER),)
 	KVER := $(shell uname -r)

=== debian/changelog ===
evdi (1.12.0+dfsg-0ubuntu2~22.04.4) jammy; urgency=medium

  * Support Linux 6.8 (LP: #2070022):
    - debian/patches/0010-linux-6.8-abi.patch

 -- Andrea Righi <andrea.righi@canonical.com>  Mon, 24 Jun 2024 11:57:22 +0000

evdi (1.12.0+dfsg-0ubuntu2~22.04.3) jammy; urgency=medium

  * Support Linux 6.5 (LP: #2041665):
    - debian/patches/Support-for-6.3-kernel.patch

 -- Andrea Righi <andrea.righi@canonical.com>  Fri, 27 Oct 2023 13:50:22 +0000

evdi (1.12.0+dfsg-0ubuntu2~22.04.2) jammy; urgency=medium

  * Support Linux 6.2 (LP: #2023303):
    - debian/patches/0001-fix-6.0-ftbfs.patch
    - debian/patches/linux-6.2.patch

 -- Andrea Righi <andrea.righi@canonical.com>  Thu, 08 Jun 2023 14:15:06 +0000

evdi (1.12.0+dfsg-0ubuntu2~22.04.1) jammy; urgency=medium

  * No change, rebuild against the jammy user-space (LP: #2002320).

 -- Paolo Pisati <paolo.pisati@canonical.com>  Mon, 09 Jan 2023 14:53:50 +0000

evdi (1.12.0+dfsg-0ubuntu2) kinetic; urgency=medium

  * Add build-exclusive dkms.conf key, to prevent FTBFS on incompatible
    kernels.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Wed, 31 Aug 2022 10:59:24 +0100

evdi (1.12.0+dfsg-0ubuntu1) kinetic; urgency=medium

  * New upstream release.
  * Drop all patches, keep USBLESS patch.
  * Cherry-pick upstream fixup patch.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 26 Jul 2022 14:25:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: evdi
 Section: misc
 Priority: optional
-Maintainer: Hanno Stock <opensource@hanno-stock.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Hanno Stock <opensource@hanno-stock.de>
 Build-Depends: debhelper-compat (= 13), dkms, dh-exec, libdrm-dev
 Standards-Version: 4.5.0
 Rules-Requires-Root: no

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg\d*$//,\
repacksuffix=+dfsg,\
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/evdi-$1\.tar\.gz/ \
https://github.com/DisplayLink/evdi/tags .*/v?(\d\S+)\.tar\.gz

## evdi 1.14.0+dfsg

=== debian/changelog ===
evdi (1.14.0+dfsg-2) unstable; urgency=medium

  * No-change rebuild for testing migration

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 23 Jul 2023 21:21:30 -0400

evdi (1.14.0+dfsg-1) unstable; urgency=medium

  * Take maintainer, update salsa links (Closes: #1023276, #1039520)
  * Bump SOVERSION to .1; rename dev package
  * Restore changes accidentally removed (Closes: #1027871)
  * Run wrap-and-sort
  * Bump S-V; no changes needed

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Fri, 21 Jul 2023 23:52:40 -0400

evdi (1.14.0+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 1.14.0+dfsg (Closes: #1035565, 1037997)
  * Remove new unnecessary files; license clarified
  * Drop patches included upstream

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Mon, 26 Jun 2023 12:09:38 -0400

evdi (1.12.0+dfsg-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Do not build the module for kernels without CONFIG_DRM.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 31 Jan 2023 15:15:21 +0100

evdi (1.12.0+dfsg-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to dh-sequence-dkms.  (Closes: #1027871)
  * Switch to Testsuite: autopkgtest-pkg-dkms.
  * Do not build the module for kernels without CONFIG_I2C.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 20 Jan 2023 18:37:23 +0100

evdi (1.12.0+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #994892, #1017058)
  * Import patch to fix FTBFS in Linux >= 6.0 from upstream
  * Add dh-dkms to build-depends

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Tue, 01 Nov 2022 11:56:26 -0400

## evdi 1.14.2%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,23 @@
 Section: misc
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Hanno Stock <opensource@hanno-stock.de>
-Build-Depends: debhelper-compat (= 13), dkms, dh-exec, libdrm-dev
-Standards-Version: 4.5.0
+XSBC-Original-Maintainer: Harlan Lieberman-Berg <hlieberman@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-exec,
+               dh-sequence-dkms,
+               libdrm-dev
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/DisplayLink/evdi
-Vcs-Browser: https://salsa.debian.org/hansto-guest/evdi
-Vcs-Git: https://salsa.debian.org/hansto-guest/evdi.git
+Vcs-Browser: https://salsa.debian.org/debian/evdi
+Vcs-Git: https://salsa.debian.org/debian/evdi.git
+Testsuite: autopkgtest-pkg-dkms
 
 Package: evdi-dkms
 Architecture: all
 Section: kernel
 Depends: ${misc:Depends}
-Recommends: libevdi0
+Recommends: libevdi1
 Description: Extensible Virtual Display Interface driver kernel module
  The Extensible Virtual Display Interface (EVDI) is a Linux kernel
  module that enables management of multiple screens, allowing user-space
@@ -30,10 +34,10 @@
  This package installs the kernel module needed for creating the virtual
  displays.
 
-Package: libevdi0
+Package: libevdi1
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: evdi-dkms
 Description: Extensible Virtual Display Interface driver client library
  The Extensible Virtual Display Interface (EVDI) is a Linux kernel
@@ -50,12 +54,15 @@
  This package installs the client library used for interfacing with
  the evdi kernel module.
 
-Package: libevdi0-dev
+Package: libevdi-dev
 Section: libdevel
 Architecture: all
-Depends: libevdi0 (>= ${source:Version}), libevdi0 (<< ${source:Version}.1~),
- ${misc:Depends}
+Depends: libevdi1 (<< ${source:Version}.1~),
+         libevdi1 (>= ${source:Version}),
+         ${misc:Depends}
 Recommends: evdi-dkms
+Breaks: libevdi0-dev (<< 1.14.0+dfsg-1~)
+Replaces: libevdi0-dev (<< 1.14.0+dfsg-1~)
 Description: EVDI driver client library dev package
  The Extensible Virtual Display Interface (EVDI) is a Linux kernel
  module that enables management of multiple screens, allowing user-space
@@ -70,3 +77,10 @@
  .
  This is the development package for evdi clients. It is only needed
  for compiling evdi client software. End-users do not need this package.
+
+Package: libevdi0-dev
+Section: oldlibs
+Depends: libevdi-dev, ${misc:Depends}
+Architecture: all
+Description: transitional package
+ This is a transitional package.  It can safely be removed.

## evdi 1.14.2+dfsg

=== library/Makefile ===
--- 
+++ 
@@ -6,12 +6,13 @@
 CP ?= cp
 LN ?= ln
 RM ?= rm
+PKG_CONFIG ?= pkg-config
 
 DEPS = evdi_ioctl.h
-CFLAGS := -I../module -std=gnu99 -fPIC -D_FILE_OFFSET_BITS=64 $(CFLAGS)
+CFLAGS := -I../module -std=gnu99 -fPIC -D_FILE_OFFSET_BITS=64 $(CFLAGS) $$($(PKG_CONFIG) --cflags-only-I libdrm)
 
-LIBVER := 1.12.0
-LIBABI := 0
+LIBVER := 1.14.2
+LIBABI := 1
 
 PREFIX ?= /usr/local
 LIBDIR ?= $(PREFIX)/lib
@@ -19,7 +20,7 @@
 default: libevdi.so.$(LIBVER)
 
 clean:
-	rm -rf *.o libevdi.so.$(LIBVER) libevdi.so
+	rm -rf *.o libevdi.so*
 
 %.o: %.c $(DEPS)
 	$(CC) $(CFLAGS) -o $@ -c $<
@@ -27,6 +28,7 @@
 libevdi.so.$(LIBVER): evdi_lib.o
 	$(CC) $^ -shared -Wl,-soname,libevdi.so.$(LIBABI) -o $@ -lc -lgcc $(LDFLAGS)
 	$(CP) libevdi.so.$(LIBVER) libevdi.so
+	$(LN) -sf libevdi.so.$(LIBVER) libevdi.so.$(LIBABI)
 
 install:
 	$(INSTALL) -d $(DESTDIR)$(LIBDIR)

=== module/Makefile ===
--- 
+++ 
@@ -11,6 +11,11 @@
 EL8FLAG := -DEL8
 endif
 
+EL9 := $(shell cat /etc/redhat-release 2>/dev/null | grep -c " 9." )
+ifneq (,$(findstring 1, $(EL9)))
+EL9FLAG := -DEL9
+endif
+
 Raspbian := $(shell grep -Eic 'raspb(erry|ian)' /proc/cpuinfo /etc/os-release 2>/dev/null )
 ifeq (,$(findstring 0, $(Raspbian)))
 RPIFLAG := -DRPI
@@ -22,7 +27,7 @@
 
 KERN_DIR := /lib/modules/$(KERNELRELEASE)/build
 
-ccflags-y := -Iinclude/drm $(EL8FLAG) $(RPIFLAG)
+ccflags-y := -Iinclude/uapi/drm -Iinclude/drm $(EL8FLAG) $(EL9FLAG) $(RPIFLAG)
 evdi-y := evdi_platform_drv.o evdi_platform_dev.o evdi_sysfs.o evdi_modeset.o evdi_connector.o evdi_encoder.o evdi_drm_drv.o evdi_fb.o evdi_gem.o evdi_painter.o evdi_params.o evdi_cursor.o evdi_debug.o evdi_i2c.o
 evdi-$(CONFIG_COMPAT) += evdi_ioc32.o
 obj-m := evdi.o
@@ -45,7 +50,7 @@
 # inside kbuild
 # Note: this can be removed once it is in kernel tree and Kconfig is properly used
 CONFIG_DRM_EVDI := m
-ccflags-y := -isystem include/drm $(CFLAGS) $(EL8FLAG) $(RPIFLAG)
+ccflags-y := -isystem include/uapi/drm $(CFLAGS) $(EL8FLAG) $(EL9FLAG) $(RPIFLAG)
 evdi-y := evdi_platform_drv.o evdi_platform_dev.o evdi_sysfs.o evdi_modeset.o evdi_connector.o evdi_encoder.o evdi_drm_drv.o evdi_fb.o evdi_gem.o evdi_painter.o evdi_params.o evdi_cursor.o evdi_debug.o evdi_i2c.o
 evdi-$(CONFIG_COMPAT) += evdi_ioc32.o
 obj-$(CONFIG_DRM_EVDI) := evdi.o
@@ -57,7 +62,7 @@
 DKMS ?= dkms
 RM ?= rm
 
-MODVER=1.12.0
+MODVER=1.14.2
 
 ifeq ($(KVER),)
 	KVER := $(shell uname -r)

=== pyevdi/Makefile ===
#
# Copyright (c) 2022 DisplayLink (UK) Ltd.
#

INSTALL ?= install
CP ?= cp
LN ?= ln
RM ?= rm

LIBABI := 1

INCL_DIRS := -I../library $$(python3 -m pybind11 --includes)

# -fvisibility=hidden https://pybind11.readthedocs.io/en/stable/faq.html#someclass-declared-with-greater-visibility-than-the-type-of-its-field-someclass-member-wattributes
CXXFLAGS := $(INCL_DIRS) -std=c++20 -fPIC -fvisibility=hidden $(CXXFLAGS)

LDFLAGS := -L../library -Wl,--no-undefined $$(python3-config --ldflags --embed) -shared

NAME_SUFFIX := $$(python3-config --extension-suffix)
NAME := PyEvdi$(NAME_SUFFIX)

SRCS := $(wildcard *.cpp)
OBJS := $(patsubst %.cpp,%.o,$(SRCS))
LIBS := -levdi

default: $(NAME)

clean:
	rm -rf $(NAME)
	rm -rf $(OBJS)

%.o: %.cpp
	$(CXX) $(CXXFLAGS) -c $<

$(NAME): $(OBJS)
	$(CXX) $^ $(LDFLAGS) $(LIBS) -Wl,-soname,$(NAME).so.$(LIBABI) -o $(NAME)


tests:
	LD_LIBRARY_PATH=../library python3 -m pytest test/


LIBDIR ?= $$(python3 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")


install:
	$(INSTALL) -d $(DESTDIR)$(LIBDIR)
	$(INSTALL) -m 755 $(NAME) $(DESTDIR)$(LIBDIR)/$(NAME)
	$(LN) -sf $(NAME) $(DESTDIR)$(LIBDIR)/$(NAME).$(LIBABI)

uninstall:
	$(RM) -f $(DESTDIR)$(LIBDIR)/$(NAME)
	$(RM) -f $(DESTDIR)$(LIBDIR)/$(NAME).$(LIBABI)

=== debian/changelog ===
evdi (1.14.2+dfsg-1ubuntu1.4) noble; urgency=medium

  * Support linux 6.17 (LP: #2133812)
    - debian/patches/Fix-build-for-kernel-v6.17-rc1.patch 
    - debian/patches/Fix-building-on-future-kernel-6.15.patch

 -- John Cabaj <john.cabaj@canonical.com>  Wed, 03 Dec 2025 12:35:27 -0600

evdi (1.14.2+dfsg-1ubuntu1.3) noble; urgency=medium

  * Display remains blank when loaded into kernel >= 6.12. (LP: #2117389)

 -- You-Sheng Yang <vicamo@gmail.com>  Wed, 06 Aug 2025 00:08:18 +0800

evdi (1.14.2+dfsg-1ubuntu1.2) noble; urgency=medium

  * Support Linux 6.14 (LP: #2110937)
    - debian/patches/Align-with-Linux-v6.11+.patch
    - debian/patches/Fix-DMA_BUF-import-NS-on-kenrels-lt-6.13.patch
    - debian/patches/0001-Remove-driver-date-from-struct-drm_driver-linux-6.14.patch

 -- John Cabaj <john.cabaj@canonical.com>  Thu, 15 May 2025 16:48:47 -0500

evdi (1.14.2+dfsg-1ubuntu1.1) noble; urgency=medium

  * Support Linux 6.11 (LP: #2091354)
    - linux-6.11-make-platform_driver-remove-return-void.patch
    - linux-6.11-fix-minor-compile-time-errors.patch

 -- Massimiliano Pellizzer <massimiliano.pellizzer@canonical.com>  Tue, 10 Dec 2024 08:02:42 +0100

evdi (1.14.2+dfsg-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:56:48 +0000

evdi (1.14.2+dfsg-1) unstable; urgency=medium

  * New upstream version 1.14.2+dfsg
  * Drop patch applied upstream.
  * Clarify d/copyright for files not in folders

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Mon, 12 Feb 2024 10:23:31 -0500

evdi (1.14.1+dfsg-1) unstable; urgency=high

  * New upstream version 1.14.1+dfsg

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 31 Dec 2023 18:44:43 -0500

evdi (1.14.0+dfsg-3) unstable; urgency=medium

  * Import patch to fix build failure on linux 6.6 (Closes: #1057446)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Wed, 27 Dec 2023 11:39:48 -0500

## evdi 1.14.6+dfsg

=== library/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 DEPS = evdi_ioctl.h
 CFLAGS := -I../module -std=gnu99 -fPIC -D_FILE_OFFSET_BITS=64 $(CFLAGS) $$($(PKG_CONFIG) --cflags-only-I libdrm)
 
-LIBVER := 1.14.2
+LIBVER := 1.14.6
 LIBABI := 1
 
 PREFIX ?= /usr/local

=== module/Makefile ===
--- 
+++ 
@@ -49,11 +49,12 @@
 
 # inside kbuild
 # Note: this can be removed once it is in kernel tree and Kconfig is properly used
-CONFIG_DRM_EVDI := m
 ccflags-y := -isystem include/uapi/drm $(CFLAGS) $(EL8FLAG) $(EL9FLAG) $(RPIFLAG)
 evdi-y := evdi_platform_drv.o evdi_platform_dev.o evdi_sysfs.o evdi_modeset.o evdi_connector.o evdi_encoder.o evdi_drm_drv.o evdi_fb.o evdi_gem.o evdi_painter.o evdi_params.o evdi_cursor.o evdi_debug.o evdi_i2c.o
 evdi-$(CONFIG_COMPAT) += evdi_ioc32.o
+CONFIG_DRM_EVDI ?= m
 obj-$(CONFIG_DRM_EVDI) := evdi.o
+obj-y += tests/
 
 else
 
@@ -62,7 +63,7 @@
 DKMS ?= dkms
 RM ?= rm
 
-MODVER=1.14.2
+MODVER=1.14.6
 
 ifeq ($(KVER),)
 	KVER := $(shell uname -r)

=== module/tests/Makefile ===

ccflags-$(CONFIG_DRM_EVDI_KUNIT_TEST) += -I$(srctree)/drivers/gpu/drm/evdi
obj-$(CONFIG_DRM_EVDI_KUNIT_TEST) += evdi_test.o

=== debian/changelog ===
evdi (1.14.6+dfsg-1) unstable; urgency=medium

  * New upstream version 1.14.6+dfsg
  * Update symbols

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Wed, 11 Sep 2024 00:40:41 -0400

## evdi 1.14.8+dfsg

=== library/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (c) 2015 - 2020 DisplayLink (UK) Ltd.
+# Copyright (c) 2015 - 2024 DisplayLink (UK) Ltd.
 #
 
 INSTALL ?= install
@@ -11,7 +11,7 @@
 DEPS = evdi_ioctl.h
 CFLAGS := -I../module -std=gnu99 -fPIC -D_FILE_OFFSET_BITS=64 $(CFLAGS) $$($(PKG_CONFIG) --cflags-only-I libdrm)
 
-LIBVER := 1.14.6
+LIBVER := 1.14.8
 LIBABI := 1
 
 PREFIX ?= /usr/local
@@ -25,7 +25,7 @@
 %.o: %.c $(DEPS)
 	$(CC) $(CFLAGS) -o $@ -c $<
 
-libevdi.so.$(LIBVER): evdi_lib.o
+libevdi.so.$(LIBVER): evdi_lib.o evdi_procfs.o
 	$(CC) $^ -shared -Wl,-soname,libevdi.so.$(LIBABI) -o $@ -lc -lgcc $(LDFLAGS)
 	$(CP) libevdi.so.$(LIBVER) libevdi.so
 	$(LN) -sf libevdi.so.$(LIBVER) libevdi.so.$(LIBABI)

=== module/Makefile ===
--- 
+++ 
@@ -63,7 +63,7 @@
 DKMS ?= dkms
 RM ?= rm
 
-MODVER=1.14.6
+MODVER=1.14.8
 
 ifeq ($(KVER),)
 	KVER := $(shell uname -r)

=== debian/changelog ===
evdi (1.14.8+dfsg-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 11 May 2025 09:42:07 -0700

evdi (1.14.8+dfsg-1) unstable; urgency=medium

  * New upstream version 1.14.8+dfsg (Closes: #1089496)
  * Update symbols

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 26 Dec 2024 23:53:18 -0500

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,9 @@
 Source: evdi
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Harlan Lieberman-Berg <hlieberman@debian.org>
-Build-Depends: debhelper-compat (= 13),
-               dh-exec,
-               dh-sequence-dkms,
-               libdrm-dev
+Build-Depends: debhelper-compat (= 13), dh-exec, dh-sequence-dkms, libdrm-dev
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/DisplayLink/evdi
@@ -17,8 +14,8 @@
 Package: evdi-dkms
 Architecture: all
 Section: kernel
-Depends: ${misc:Depends}
-Recommends: libevdi1
+Depends: ${misc:Depends},
+         libevdi1
 Description: Extensible Virtual Display Interface driver kernel module
  The Extensible Virtual Display Interface (EVDI) is a Linux kernel
  module that enables management of multiple screens, allowing user-space

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
 
 %:
-	dh $@ --with dkms
+	dh $@
 
 override_dh_auto_install:
 	dh_install -p evdi-dkms -XLICENSE module/* usr/src/evdi-$(DEB_VERSION_UPSTREAM)/
@@ -20,3 +20,8 @@
 
 override_dh_auto_clean:
 	$(MAKE) clean -C library $(MFLAGS)
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym

## evdi 1.14.10%2Bdfsg

=== debian/changelog ===
evdi (1.14.10+dfsg-1) unstable; urgency=medium

  * New upstream version 1.14.10+dfsg (Closes: #1112182)
  * Bump S-V; no changes needed

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Wed, 27 Aug 2025 18:42:29 -0400

## evdi 1.14.10+dfsg

=== library/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 DEPS = evdi_ioctl.h
 CFLAGS := -I../module -std=gnu99 -fPIC -D_FILE_OFFSET_BITS=64 $(CFLAGS) $$($(PKG_CONFIG) --cflags-only-I libdrm)
 
-LIBVER := 1.14.8
+LIBVER := 1.14.10
 LIBABI := 1
 
 PREFIX ?= /usr/local

=== module/Makefile ===
--- 
+++ 
@@ -63,7 +63,7 @@
 DKMS ?= dkms
 RM ?= rm
 
-MODVER=1.14.8
+MODVER=1.14.10
 
 ifeq ($(KVER),)
 	KVER := $(shell uname -r)

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: evdi
 Section: misc
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Harlan Lieberman-Berg <hlieberman@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-exec, dh-sequence-dkms, libdrm-dev
-Standards-Version: 4.6.2
+Maintainer: Harlan Lieberman-Berg <hlieberman@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-exec,
+               dh-sequence-dkms,
+               libdrm-dev
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/DisplayLink/evdi
 Vcs-Browser: https://salsa.debian.org/debian/evdi
@@ -14,8 +16,8 @@
 Package: evdi-dkms
 Architecture: all
 Section: kernel
-Depends: ${misc:Depends},
-         libevdi1
+Depends: ${misc:Depends}
+Recommends: libevdi1
 Description: Extensible Virtual Display Interface driver kernel module
  The Extensible Virtual Display Interface (EVDI) is a Linux kernel
  module that enables management of multiple screens, allowing user-space

## evdi 1.14.11+dfsg

=== library/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 DEPS = evdi_ioctl.h
 CFLAGS := -I../module -std=gnu99 -fPIC -D_FILE_OFFSET_BITS=64 $(CFLAGS) $$($(PKG_CONFIG) --cflags-only-I libdrm)
 
-LIBVER := 1.14.10
+LIBVER := 1.14.11
 LIBABI := 1
 
 PREFIX ?= /usr/local

=== module/tests/Makefile ===

ccflags-$(CONFIG_DRM_EVDI_KUNIT_TEST) += -I$(srctree)/drivers/gpu/drm/evdi

obj-$(CONFIG_DRM_EVDI_KUNIT_TEST) += evdi_test.o test_evdi_vt_switch.o evdi_fake_user_client.o evdi_fake_compositor.o

=== debian/changelog ===
evdi (1.14.11+dfsg-1) unstable; urgency=medium

  * New upstream version 1.14.11+dfsg (Closes: #1119902)
  * d/watch: upgrade to version 5
  * Ship README in docs package

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 02 Nov 2025 12:19:39 -0500

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	dh $@
 
 override_dh_auto_install:
-	dh_install -p evdi-dkms -XLICENSE module/* usr/src/evdi-$(DEB_VERSION_UPSTREAM)/
+	dh_install -p evdi-dkms -XLICENSE -X README.md module/* usr/src/evdi-$(DEB_VERSION_UPSTREAM)/
 
 override_dh_dkms:
 	dh_dkms -p evdi-dkms -V $(DEB_VERSION_UPSTREAM)
@@ -20,8 +20,3 @@
 
 override_dh_auto_clean:
 	$(MAKE) clean -C library $(MFLAGS)
-
-# No dbgsym packages:
-override_dh_strip:
-	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
-	dh_strip --no-automatic-dbgsym

=== debian/watch ===
Version: 5

Template: Github
Dversionmangle: s/\+dfsg\d*$//
Owner: DisplayLink
Project: evdi
Repacksuffix: +dfsg

## evdi 1.14.12+dfsg

=== library/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 DEPS = evdi_ioctl.h
 CFLAGS := -I../module -std=gnu99 -fPIC -D_FILE_OFFSET_BITS=64 $(CFLAGS) $$($(PKG_CONFIG) --cflags-only-I libdrm)
 
-LIBVER := 1.14.11
+LIBVER := 1.14.12
 LIBABI := 1
 
 PREFIX ?= /usr/local

=== module/Makefile ===
--- 
+++ 
@@ -6,14 +6,10 @@
 # more details.
 #
 
-EL8 := $(shell cat /etc/redhat-release 2>/dev/null | grep -c " 8." )
-ifneq (,$(findstring 1, $(EL8)))
-EL8FLAG := -DEL8
-endif
+include /etc/os-release
 
-EL9 := $(shell cat /etc/redhat-release 2>/dev/null | grep -c " 9." )
-ifneq (,$(findstring 1, $(EL9)))
-EL9FLAG := -DEL9
+ifneq (,$(findstring rhel,$(ID_LIKE)))
+ELFLAG := -DEL$(shell echo $(VERSION_ID) | cut -d. -f1)
 endif
 
 Raspbian := $(shell grep -Eic 'raspb(erry|ian)' /proc/cpuinfo /etc/os-release 2>/dev/null )
@@ -27,7 +23,7 @@
 
 KERN_DIR := /lib/modules/$(KERNELRELEASE)/build
 
-ccflags-y := -Iinclude/uapi/drm -Iinclude/drm $(EL8FLAG) $(EL9FLAG) $(RPIFLAG)
+ccflags-y := -Iinclude/uapi/drm -Iinclude/drm $(ELFLAG) $(RPIFLAG)
 evdi-y := evdi_platform_drv.o evdi_platform_dev.o evdi_sysfs.o evdi_modeset.o evdi_connector.o evdi_encoder.o evdi_drm_drv.o evdi_fb.o evdi_gem.o evdi_painter.o evdi_params.o evdi_cursor.o evdi_debug.o evdi_i2c.o
 evdi-$(CONFIG_COMPAT) += evdi_ioc32.o
 obj-m := evdi.o
@@ -49,7 +45,7 @@
 
 # inside kbuild
 # Note: this can be removed once it is in kernel tree and Kconfig is properly used
-ccflags-y := -isystem include/uapi/drm $(CFLAGS) $(EL8FLAG) $(EL9FLAG) $(RPIFLAG)
+ccflags-y := -isystem include/uapi/drm $(CFLAGS) $(ELFLAG) $(RPIFLAG)
 evdi-y := evdi_platform_drv.o evdi_platform_dev.o evdi_sysfs.o evdi_modeset.o evdi_connector.o evdi_encoder.o evdi_drm_drv.o evdi_fb.o evdi_gem.o evdi_painter.o evdi_params.o evdi_cursor.o evdi_debug.o evdi_i2c.o
 evdi-$(CONFIG_COMPAT) += evdi_ioc32.o
 CONFIG_DRM_EVDI ?= m
@@ -63,7 +59,7 @@
 DKMS ?= dkms
 RM ?= rm
 
-MODVER=1.14.10
+MODVER=1.14.12
 
 ifeq ($(KVER),)
 	KVER := $(shell uname -r)

=== debian/changelog ===
evdi (1.14.12+dfsg-0.1~mx25ahs) mx; urgency=medium

  * New upstream version 1.14.12+dfsg, fully supports 6.18 kernels.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 30 Dec 2025 21:36:56 -0800

=== debian/rules ===
--- 
+++ 
@@ -20,3 +20,8 @@
 
 override_dh_auto_clean:
 	$(MAKE) clean -C library $(MFLAGS)
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym

## evdi 1.14.13+dfsg

=== library/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 DEPS = evdi_ioctl.h
 CFLAGS := -I../module -std=gnu99 -fPIC -D_FILE_OFFSET_BITS=64 $(CFLAGS) $$($(PKG_CONFIG) --cflags-only-I libdrm)
 
-LIBVER := 1.14.12
+LIBVER := 1.14.13
 LIBABI := 1
 
 PREFIX ?= /usr/local

=== module/Makefile ===
--- 
+++ 
@@ -59,7 +59,7 @@
 DKMS ?= dkms
 RM ?= rm
 
-MODVER=1.14.12
+MODVER=1.14.13
 
 ifeq ($(KVER),)
 	KVER := $(shell uname -r)

=== debian/changelog ===
evdi (1.14.13+dfsg-1) unstable; urgency=medium

  * New upstream version 1.14.13+dfsg
  * Bump S-V, no changes needed

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 29 Jan 2026 09:59:01 -0500

evdi (1.14.12+dfsg-1) unstable; urgency=medium

  * New upstream version 1.14.12+dfsg (Closes: #1119309, #1124928)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 15 Jan 2026 08:17:53 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                dh-exec,
                dh-sequence-dkms,
                libdrm-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
 Homepage: https://github.com/DisplayLink/evdi
 Vcs-Browser: https://salsa.debian.org/debian/evdi

## evdi 1.14.15+dfsg

=== library/Makefile ===
--- 
+++ 
@@ -11,10 +11,10 @@
 DEPS = evdi_ioctl.h
 CFLAGS := -I../module -std=gnu99 -fPIC -D_FILE_OFFSET_BITS=64 $(CFLAGS) $$($(PKG_CONFIG) --cflags-only-I libdrm)
 
-LIBVER := 1.14.13
+LIBVER := 1.14.15
 LIBABI := 1
 
-PREFIX ?= /usr/local
+PREFIX ?= /usr
 LIBDIR ?= $(PREFIX)/lib
 
 default: libevdi.so.$(LIBVER)

=== module/Makefile ===
--- 
+++ 
@@ -59,7 +59,7 @@
 DKMS ?= dkms
 RM ?= rm
 
-MODVER=1.14.13
+MODVER=1.14.15
 
 ifeq ($(KVER),)
 	KVER := $(shell uname -r)

=== debian/changelog ===
evdi (1.14.15+dfsg-0ubuntu1) resolute; urgency=medium

  * New upstream version 1.14.15+dfsg (LP: #2143108)

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 03 Mar 2026 12:18:38 +0800

evdi (1.14.12+dfsg-1ubuntu1) resolute; urgency=medium

  * New upstream version 1.14.12 (LP: #2138852)
    - Drop upstreamed fix for FTBFS against kernel v6.18

 -- You-Sheng Yang <vicamo@gmail.com>  Thu, 22 Jan 2026 21:01:10 +0800

evdi (1.14.11+dfsg-1ubuntu1) resolute; urgency=medium

  * New upstream version 1.14.11
    - Drop upstreamed fix for FTBFS against kernel v6.17
  * Fix build for kernel >= v6.18-rc1 (LP: #2130333)

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 09 Dec 2025 16:57:17 +0800

evdi (1.14.10+dfsg-0ubuntu2) questing; urgency=medium

  * Fix build for kernel v6.17-rc1 (LP: #2120459)

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 12 Aug 2025 23:43:57 +0800

evdi (1.14.10+dfsg-0ubuntu1) questing; urgency=medium

  * New upstream version 1.14.10 (LP: #2110682)
    - Drop upstreamed fix for FTBFS against kernel v6.15

 -- You-Sheng Yang <vicamo@gmail.com>  Thu, 15 May 2025 22:42:47 +0800

evdi (1.14.8+dfsg-1ubuntu1) plucky; urgency=medium

  * Support Linux 6.14 (LP: #2100652)
    - 0001-Remove-driver-date-from-struct-drm_driver-linux-6.14.patch
  * Change maintainer to Ubuntu Developers

 -- Massimiliano Pellizzer <massimiliano.pellizzer@canonical.com>  Sat, 01 Mar 2025 08:53:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: evdi
 Section: misc
 Priority: optional
-Maintainer: Harlan Lieberman-Berg <hlieberman@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Harlan Lieberman-Berg <hlieberman@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-sequence-dkms,
                libdrm-dev
-Standards-Version: 4.7.3
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/DisplayLink/evdi
 Vcs-Browser: https://salsa.debian.org/debian/evdi
